1. google n, 02.09.2011 #1
    google n

    google n Threadstarter Android-Hilfe.de Mitglied

    Hallo,

    ich war vor einigen Tagen im Media Markt, und da war das Samsung Galaxy S Plus ausgestellt. Das habe ich mir mal angeguckt, und fand die Widgets, die dort drauf waren echt gut gemacht und sinnvoll, im Gegensatz zu den Widgets, die auf dem Galaxy S II vorinstalliert sind...Im Widget-Menü heißen die "Tägliches Briefing" und dann beispielsweise "Terminplaner" oder "Wetter"...die beiden haben es mir wirklich angetan. Nachher hab ich auch gesehen, dass die auch auf den offiziellen Produktfotos vom Samsung Galaxy S Plus zu sehen sind...
    Ich habe leider schon gesucht und gesucht, aber leider, wenn ich was finde, sind das nur .apk Dateien für das Samsung Galaxy S und lassen sich auf meinem Gerät nicht installieren, es kommt immer nur "Anwendung nicht installiert" mit einem grünen Haken vorne dran.
    Irgendwie verwirrend!

    Zu meinem Gerät: Samsung Galaxy SII (GT-I9100), Android 2.3.3, aktuellste KIES-Firmware (Basisbandversion: I9100XXKE7/Buildnummer: GINGERBREAD.XWKF3), nicht gerootet (soll eigentlich auch erstmal so bleiben), Stock-Kernel

    Hoffe, ihr könnt mir helfen...
    Vielen Dank im Vorraus

    google n
     
  2. frank_m, 02.09.2011 #2
    frank_m

    frank_m Ehrenmitglied

    Hmm. Das ist wohl Geschmackssache. Du findest das Daily Briefing Widget schöner, als das Accu Weather Widget des SGS2? Nun gut. ;)

    Das ganze heißt InfoAlarm.apk. Dazu sollte sich was finden lassen.
     
  3. google n, 02.09.2011 #3
    google n

    google n Threadstarter Android-Hilfe.de Mitglied

    Danke für die schnelle Nachricht! Echt unglaublich, wie schnell das hier geht...
    Die InfoAlarm.apk habe ich mir ausm XDA-Developer Forum besorgt, leider kommt wenn ich sie installieren will nur "Anwendung konnte nicht installiert werden". Gibt es irgendwie die Möglichkeit diese trotzdem zu installieren....

    Vielen Dank

    google n
     
  4. frank_m, 02.09.2011 #4
    frank_m

    frank_m Ehrenmitglied

    Einfach installieren wird wohl auch nicht gehen, denke ich. Kopiere sie mal nach /system/app.
     
  5. google n, 02.09.2011 #5
    google n

    google n Threadstarter Android-Hilfe.de Mitglied

    Hey,
    Brauche ich dafür root?

    Gesendet mit der Android-Hilfe.de-App
     
  6. danmnc, 02.09.2011 #6
    danmnc

    danmnc Android-Hilfe.de Mitglied

    Ja, brauchst du. Sonst kannst du nichts in den Ordner kopieren.
     
  7. google n, 02.09.2011 #7
    google n

    google n Threadstarter Android-Hilfe.de Mitglied

    Gibt es vielleicht noch eine andere Möglichkeit, weil Root möchte ich eigentlich noch nicht haben...

    Gesendet mit der Android-Hilfe.de-App
     
  8. danmnc, 02.09.2011 #8
    danmnc

    danmnc Android-Hilfe.de Mitglied

    Also ich hab mir das Widget noch nicht angesehen, also weis nicht, wie es aussieht. Aber es gibt "tausende" Widgets im Market und wenn du nicht rooten willst, musst du auf andere zurück greifen.
     
  9. Randall Flagg, 03.09.2011 #9
    Randall Flagg

    Randall Flagg Ehrenmitglied

    Nein ohne Root ist da nichts zu machen.
    system/app ist r/o (read only) ohne Schreibrechte kommst da nicht ran.
     
  10. JanF, 27.01.2012 #10
    JanF

    JanF Android-Experte

    Ich überlege auch gerade, mir das Daily Briefing zu installieren, allerdings habe ich noch einige Verständnisprobleme:

    Mir ist nicht klar, warum man die apk in den system/app Ordner kopieren muss. Updates von Systemapps landen ja auch in /data/app.

    Ein Grund warum das Installieren sonst nicht klappen würde ist ja, wenn die App mit einem anderen Zertifikat als die Apps des gleichen packages/gleicher user ID.

    Und was passiert, wenn die App mit Gewalt installiert (also .apk in /system/app oder /data/app kopieren), sie aber mit einem anderen Zertifikat signiert wurde, als Apps der gleichen uid?

    Für mich hört sich das Kopieren nach einem recht brutalen umgehen des Packagemanagers an, bei dem ich erst die Konsequenzen beleuchtet haben möchte.


    EDIT: Ich habe eben im Manifest die sharedUserId entfernt. Damit lies sich das Daily Briefing installieren, lief allerdings wie zu erwarten war nicht richtig. Google sagt, dass bei gleicher userId das Zertifikat das gleiche sein muss. Das Problem ist also an der Stelle, an der ich es vermutet habe.
    Was ich aber nicht weiß ist, was nun passiert, wenn man die .apk mit Gewalt installiert. Welches Zertifikat wird dann für diese sharedUserId akzeptiert? Kann es durch den Konflikt verschiedener Zertifakte noch an anderer Stelle zu Problemen kommen?
     
    Zuletzt bearbeitet: 27.01.2012
  11. newtom, 27.01.2012 #11
    newtom

    newtom Android-Lexikon

    Hätte aber auch Interesse an den Widgets.
     
    Zuletzt bearbeitet: 27.01.2012